Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Visitor_Factory Class Reference

`#include <PSDL_Visitor_Factory.h>`

List of all members.

## Public Methods
| TAO_PSDL_Visitor_Factory ()
| ~TAO_PSDL_Visitor_Factory ()
TAO_PSDL_Node_Visitor * | make_visitor (int type)

## Constructor & Destructor Documentation

TAO_PSDL_Visitor_Factory::TAO_PSDL_Visitor_Factory | ( |  | ) |

TAO_PSDL_Visitor_Factory::~TAO_PSDL_Visitor_Factory | ( |  | ) |

## Member Function Documentation

TAO_PSDL_Node_Visitor * TAO_PSDL_Visitor_Factory::make_visitor | ( | int | type | ) |

The documentation for this class was generated from the following files:

- PSDL_Visitor_Factory.h
- PSDL_Visitor_Factory.cpp